<?php
	$session = $this->getSession();
	// appel fichier internationalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();
	$filter_date = new Yab_Filter_Date();
	$filter_date->set('format','%d/%m/%Y');
	$pager = new Yab_Helper_Pager($traitements, 'pager_traitement');
	$traitements = $pager->getStatement();
?>

<script type='text/javascript'>
	var sZeroRecords = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>"
	var sSearch = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/table_module.js"></script>
  <script type="text/javascript">
	
  $(document).ready(function() {
	  
	// Click sur le bouton ajouter
	$("#btn_ajouter").click(function() {
		if ($("#us_id").val() == "") {
			alert("Veuillez choisir une unité stratigraphique !") ;
		} else {
			document.location.href="<?php echo $this->getRequest("traitement", "add") ; ?>" ;
		}
	}) ;
		
	  /* Datpicker conf # calendrier contextuel */
	  date = new Date();  
	  dd = date.getDate();  
	  mm = date.getMonth()+1;  
	  if (mm < 10) {   
	    mm = "0"+mm;  
	  }  
	  yy = date.getFullYear(); 
	  
	  var datepicker_option = {
	    dateFormat: 'dd/mm/yy',
	    showOn: "button",
	    buttonImage: "<?php echo $request->getBaseUrl(); ?>/images/calendar.png",
	    buttonImageOnly: true,
	    buttonText: "Selectionner une date dans le calendrier ...",
	  };
	
	  $('.datepicker').datepicker( datepicker_option );
	    
		$('#slide-submenu').on('click',function() {			        
	        $(this).closest('.list-group').fadeOut('slide',function(){
	        	$('.mini-submenu').fadeIn();	
	        });
	        
	      });
	
		$('.mini-submenu').on('click',function(){		
	        $(this).next('.bs-docs-sidenav').toggle('slide');
	        // $('.mini-submenu').hide();
		});
	  
	  $(".menu-toggle").click(function(e) {
	    e.preventDefault();
	    $("#wrapper").toggleClass("active");
	  });
	        
	  Highcharts.setOptions({
	  	lang: {
	  		months: ['Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin',  'Juillet', 'Aout', 'Septembre', 'Octobre', 'Novembre', 'Decembre'],
	  		weekdays: ['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'],
	      decimalPoint: ',',
	      thousandsSep: ' ',
	      printChart: 'Imprimer ',
	      drillUpText: 'Retour {series.name}'
	  	},
	    colors: [
	      '#ff0000',
	      '#2f7ed8', 
	      '#ffff00',
	      '#80f000',
	      '#910000', 
	      '#00ff00',
	      '#1aadce', 
	      '#00ff80',
	      '#492970',
	      '#00ffff',
	      '#f28f43', 
	      '#0080ff',
	      '#77a1e5',
	      '#c42525', 
	      '#ff8000',
	      '#0d233a', 
	      '#a6c96a',
	      '#FF9900'       
	    ],
	    exporting:{
	      buttons: {
	        contextButton: {
	          text: 'export',
	          menuItems: null,
	          onclick: function() { this.exportChart(); }
	        }
	      },
	      enabled: true,      
	    },
	    legend: {
	      borderColor: '#555555',
	      borderWidth: 1,
	      layout: 'vertical',
	      align: 'right'
	    },
	    plotOptions: {
	      pie: {
	        allowPointSelect: false,
	        cursor: 'pointer',
	        dataLabels: { 
	          enabled: true, 
	          // format: '{point.name}<br>{point.y:.0f} %'
	          formatter: function() {
	            return this.point.name +' : <br>'+ this.percentage.toFixed(2) +' %';
	          }
	        },
	        showInLegend: true,                    
	      }
	    }     
	  }); 
	   
	  // Radialize the colors
	  Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function(color) {
	    return {
	        radialGradient: { cx: 0.5, cy: 0.3, r: 0.7 },
	        stops: [
	            [0, color],
	            [1, Highcharts.Color(color).brighten(-0.3).get('rgb')] // darken
	        ]
	    };
	});
	
	  // initialize all tooltips      
	  $('[data-toggle="tooltip"]').tooltip() ;      
	  
	});

  	//fonction de confirmation pour la suppression
	function confirmer(url) {
		if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
			document.location.href = url ;
		}
	}
</script>

<div class="table-responsive">
	<div id="optiontools"></div>
	<div id="table_traitement_index_wrapper">
		<table
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption align="center" style="vertical-align: middle;">
				<?php 
		if(isset($numeroER) && $numeroER != null) {
		$numER = $numeroER->get('numero', $filter_html);
		echo $filter_no_html->filter( $i18n -> say('traitement_title_index')) . " " ;?>
				<span style="font-weight: bold;"> <?php echo $numER ; ?>
				</span>
				<?php } else
		echo $filter_no_html->filter( $i18n -> say('traitement_title_index')) . " " ;?>
			</caption>
			<thead>
				<tr class="headings">
					<th>
					<?php echo $filter_no_html->filter( $i18n->say('nom')) ; ?>
				</th>
				<th>
					<?php echo $filter_html->filter( $i18n->say('ref_labo')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('type')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('debut')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('fin')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('lieu')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('observation')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('etat_id')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('inter_id')) ; ?>
				</th>
				<th align="center" style="vertical-align: middle;font-size: 32px;" colspan="2">
					<span class="glyphicon glyphicon-plus-sign" id="btn_ajouter"
					alt="ajouter" title="Ajouter"></span>
				</th>
				</tr>
			</thead>
			<tbody>
				<?php foreach($traitements as $traitement): ?>
				<tr
					href="<?php echo $this->getRequest('Traitement', 'show', array($traitement->get('id')));?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

					<td class="table-row-data">
						<?php echo $traitement->get('nom', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('ref_labo', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('traitement_type', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php if(!empty($traitement["debut"])) echo $traitement->get('debut', $filter_date); ?>
					</td>
					<td class="table-row-data">
						<?php if(!empty($traitement["fin"])) echo $traitement->get('fin', $filter_date); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('lieu', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('observation', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('traitement_etat', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $traitement->get('intervenant_nom_complet', $filter_html); ?>
					</td>

					<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Traitement', 'edit', array($traitement->get('id')) ); ?>"><span
							class="glyphicon glyphicon-edit" style="font-size: 18px;"
							alt="Editer" title="Editer"></span></a></td>
					<td class="table-row-option"><span
						class="glyphicon glyphicon-remove-circle alert-danger"
						style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Traitement', 'delete', array($traitement->get('id')) ); ?>');"
						alt="Supprimer" title="Supprimer"></span></td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
			href="<?php echo $this->getRequest('Elementrecueilli', 'index'); ?>"
			class="btn btn-default">Retour</a>
	</span>
</div>
